Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.precision
Class EnhancedPrecisionOp

    java.lang.Object
      com.vividsolutions.jts.precision.EnhancedPrecisionOp

    public class EnhancedPrecisionOp

extends java.lang.Object

Provides versions of Geometry spatial functions which use enhanced precision techniques to reduce the likelihood of robustness problems.

Version:
  1.7

Constructor Summary
`EnhancedPrecisionOp()`

Method Summary
`static Geometry` | `buffer(Geometry geom, double distance)` Computes the buffer of a `Geometry`, using enhanced precision.
`static Geometry` | `difference(Geometry geom0, Geometry geom1)` Computes the set-theoretic difference of two `Geometry`s, using enhanced precision.
`static Geometry` | `intersection(Geometry geom0, Geometry geom1)` Computes the set-theoretic intersection of two `Geometry`s, using enhanced precision.
`static Geometry` | `symDifference(Geometry geom0, Geometry geom1)` Computes the set-theoretic symmetric difference of two `Geometry`s, using enhanced precision.
`static Geometry` | `union(Geometry geom0, Geometry geom1)` Computes the set-theoretic union of two `Geometry`s, using enhanced precision.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnhancedPrecisionOp

    public EnhancedPrecisionOp()

Method Detail

### intersection

    public static Geometry intersection(Geometry geom0,
                                        Geometry geom1)

  Computes the set-theoretic intersection of two `Geometry`s, using enhanced precision.

  Parameters:
    `geom0` - the first Geometry
    `geom1` - the second Geometry
  Returns:
    the Geometry representing the set-theoretic intersection of the input Geometries.

### union

    public static Geometry union(Geometry geom0,
                                 Geometry geom1)

  Computes the set-theoretic union of two `Geometry`s, using enhanced precision.

  Parameters:
    `geom0` - the first Geometry
    `geom1` - the second Geometry
  Returns:
    the Geometry representing the set-theoretic union of the input Geometries.

### difference

    public static Geometry difference(Geometry geom0,
                                      Geometry geom1)

  Computes the set-theoretic difference of two `Geometry`s, using enhanced precision.

  Parameters:
    `geom0` - the first Geometry
    `geom1` - the second Geometry
  Returns:
    the Geometry representing the set-theoretic difference of the input Geometries.

### symDifference

    public static Geometry symDifference(Geometry geom0,
                                         Geometry geom1)

  Computes the set-theoretic symmetric difference of two `Geometry`s, using enhanced precision.

  Parameters:
    `geom0` - the first Geometry
    `geom1` - the second Geometry
  Returns:
    the Geometry representing the set-theoretic symmetric difference of the input Geometries.

### buffer

    public static Geometry buffer(Geometry geom,
                                  double distance)

  Computes the buffer of a `Geometry`, using enhanced precision. This method should no longer be necessary, since the buffer algorithm now is highly robust.

  Parameters:
    `geom` - the first Geometry
    `distance` - the buffer distance
  Returns:
    the Geometry representing the buffer of the input Geometry.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD